gnutls_certificate_type_get_name(3)

NAME
gnutls_certificate_type_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_certificate_type_get_name(gnutls_certificate_type_t type);

ARGUMENTS

gnutls_certificate_type_t type
    is a certificate type

DESCRIPTION
Convert a gnutls_certificate_type_t type to a string.

RETURNS
a string that contains the name of the specified certificate type, or NULL in case of unknown types.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/